For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Trust CenterStatusSupportGet a demoPlatform
DocumentationEvals API ReferenceIntegrations & OTELPlatform SettingsSelf-HostingGuidesChangelog
DocumentationEvals API ReferenceIntegrations & OTELPlatform SettingsSelf-HostingGuidesChangelog
  • Get Started
    • Introduction
    • Quickstart
    • Authentication
    • Data Models
    • API Conventions
  • Data Models
      • GETList Projects
      • POSTCreate Project
      • GETRetrieve Project
      • PUTUpdate Project
      • DELDelete Project
  • Evals
  • Legacy
LogoLogo
Trust CenterStatusSupportGet a demoPlatform
Data ModelsProjects

Delete Project

DELETE
https://api.confident-ai.com/v1/projects/:projectId
DELETE
/v1/projects/:projectId
$curl -X DELETE https://api.confident-ai.com/v1/projects/projectId \
> -H "CONFIDENT_API_KEY: <ORGANIZATION-API-KEY>"
200Deleted
1{
2 "success": true,
3 "data": {
4 "id": "PROJECT-ID",
5 "deleted": true
6 }
7}

Permanently deletes a project and all of its associated data (traces, datasets, metrics, API keys, etc.). This action cannot be undone.

Was this page helpful?
Previous

List Project API Keys

Next
Built with

Path parameters

projectIdstringRequired
The unique identifier of the project to delete.

Headers

CONFIDENT_API_KEYstringRequired
The organization API key for your Confident AI organization.

Response

successboolean
Indicates if the request was successful
dataobject